# Function core::arch::wasm64::memory_atomic_notify

source · [−]

    pub unsafe fn memory_atomic_notify(ptr: *mut i32, waiters: u32) -> u32

🔬 This is a nightly-only experimental API. (`stdsimd` #48556)
This is supported on WebAssembly and target feature `atomics` only.
Expand description

Corresponding intrinsic to wasm’s `memory.atomic.notify` instruction

This function will notify a number of threads blocked on the address indicated by `ptr`. Threads previously blocked with the `i32_atomic_wait` and `i64_atomic_wait` functions above will be woken up.

The `waiters` argument indicates how many waiters should be woken up (a maximum). If the value is zero no waiters are woken up.

## Return value

Returns the number of waiters which were actually notified.